Автор Тема: Не удаётся установить утилиту lshw под Альтлинукс 10  (Прочитано 1128 раз)

Оффлайн GrishaDm

  • Давно тут
  • **
  • Сообщений: 332
Скачиваю утилиту в виде исходных кодов отсюда: https://codeload.github.com/lyonel/lshw/zip/refs/heads/master
Вот описание - что она может: https://linux-faq.ru/page/komanda-lshw
Пытаюсь через epm адаптировать пакет.
[a@lureenvoy ~]$ su -
Password:
[root@lureenvoy ~]# epm repack /home/a/Загрузки/lshw-B.02.19.2.tar.gz

Repacking /home/a/Загрузки/lshw-B.02.19.2.tar.gz to local rpm format (inside /var/tmp/tmp.ObKsjIrt9P/lshw-B.02.19.2.tar.gz.tmpdir) ...
 # /usr/bin/env bash /etc/eepm/pack.d/generic-tar.sh /var/tmp/tmp.ObKsjIrt9P/lshw-B.02.19.2.tar.gz /var/tmp/tmp.ObKsjIrt9P/filefortarname 
 # erc type lshw-B.02.19.2.tar.gz
 # alien --generate --to-rpm ../lshw-B-02.19.2.tar.gz
 # /usr/bin/env bash /etc/eepm/repack.d/generic.sh /var/tmp/tmp.ObKsjIrt9P/lshw-B.02.19.2.tar.gz.tmpdir/lshw-B-02.19.2 /var/tmp/tmp.ObKsjIrt9P/lshw-B.02.19.2.tar.gz.tmpdir/lshw-B-02.19.2-2.spec lshw-B /home/a/Загрузки/lshw-B.02.19.2.tar.gz
 # rpmbuild --buildroot /var/tmp/tmp.ObKsjIrt9P/lshw-B.02.19.2.tar.gz.tmpdir/lshw-B-02.19.2 --target x86_64 -bb /var/tmp/tmp.ObKsjIrt9P/lshw-B.02.19.2.tar.gz.tmpdir/lshw-B-02.19.2-2.spec
find-provides: running scripts (alternatives,debuginfo,fpc,gir,lib,pam,perl,pkgconfig,python,python3,shell,typelib)
find-requires: running scripts (cpp,debuginfo,files,fpc,gir-js,gir-python,gir,lib,pam,perl,pkgconfig,pkgconfiglib,python,python3,rpmlib,shebang,shell,static,symlinks,systemd-services,typelib)

Adapted packages:
    /root/lshw-B-02.19.2-epm1.repacked.2.x86_64.rpm
[root@lureenvoy ~]#
Но устанавливаться он не хочет.
Что делать? Почему данная утилита по дефолту не установлена в дистрибутиве?

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 32 299
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
зачем его перепаковывать, если она есть в репозитории .?

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 32 299
  • Учиться .... Телепатами не рождаются, ими ....
    • Email

Оффлайн GrishaDm

  • Давно тут
  • **
  • Сообщений: 332
Спасибо. Действительно есть. Странно, поиском искал до этого в synaptic - и не нашёл.

Оффлайн rits

  • Завсегдатай
  • *
  • Сообщений: 1 052
  • ITS
Спасибо. Действительно есть. Странно, поиском искал до этого в synaptic - и не нашёл.
$ epms lshw
WARNING: APT database is 4 days old, please run 'epm update'!
 $ apt-cache search -- lshw | grep -E -i --color -- "(lshw)"
lshw - Hardware Lister
lshw-gui - Graphical hardware lister

# apt-get install lshw lshw-gui

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 32 299
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
WARNING: APT database is 4 days old, please run 'epm update'!
По-хорошему надо делать apt-get update  раз в день (перед всеми операциями с пакетами)

Оффлайн rits

  • Завсегдатай
  • *
  • Сообщений: 1 052
  • ITS
WARNING: APT database is 4 days old, please run 'epm update'!
По-хорошему надо делать apt-get update  раз в день (перед всеми операциями с пакетами)

Да, да конечно. Не стал разжевывать очевидное.

Онлайн gosts 87

  • Завсегдатай
  • *
  • Сообщений: 2 724
  • Дмитрий/Dmitry/德米特里/दिमित्री
Пытаюсь через epm адаптировать пакет.
Зачем от Рута - то? Перепаковку надо делать от обычного пользователя! Этот пакет сейчас у Вас прямо в систему, мимо домашнего каталога записался. Удалить его с правами пользователя не получится!

Онлайн gosts 87

  • Завсегдатай
  • *
  • Сообщений: 2 724
  • Дмитрий/Dmitry/德米特里/दिमित्री
По-хорошему надо делать apt-get update  раз в день
Можно и реже, но обязательно
(перед всеми операциями с пакетами)

Оффлайн artenaki

  • Давно тут
  • **
  • Сообщений: 198
По-хорошему надо делать apt-get update раз в день
Если репозиторий законсервирован, то про этот архаизм можно забыть.

Онлайн gosts 87

  • Завсегдатай
  • *
  • Сообщений: 2 724
  • Дмитрий/Dmitry/德米特里/दिमित्री
Если репозиторий законсервирован, то про этот архаизм можно забыть.
Даже репозиторий p8 можно не считать таковым. Крайнее обновление в нём: пакет - 16 ноября 2023 г., ядро и модули - 1 декабря 2023 г.